CollectionsAcceptanceTest (jMock API Documentation)
Keywords: atest.jmock.CollectionsAcceptanceTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## atest.jmock
Class CollectionsAcceptanceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          atest.jmock.CollectionsAcceptanceTest

All Implemented Interfaces:
  Test

    public class CollectionsAcceptanceTest

extends MockObjectTestCase

Nested Class Summary
`static interface` | `CollectionsAcceptanceTest.T`

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`CollectionsAcceptanceTest()`

Method Summary
`void` | `testCanMatchArrayContainingEqualElement()`
`void` | `testCanMatchArrayContainingMatchingElement()`
`void` | `testCanMatchCollectionContainingMatchingElement()`
`void` | `testCanMatchElementOfArray()`
`void` | `testCanMatchElementOfCollection()`
`void` | `testCanMatchListContainingEqualElement()`
`void` | `testCanMatchMapContainingEntryMatchingConstraints()`
`void` | `testCanMatchMapContainingEntryValues()`
`void` | `testCanMatchMapContainingEqualKey()`
`void` | `testCanMatchMapContainingEqualValue()`
`void` | `testCanMatchMapContainingMatchingKey()`
`void` | `testCanMatchMapContainingMatchingValue()`
`void` | `testCanMatchSetContainingEqualElement()`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newCoreMock, newDummy, newDummy, newDummy, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, not, or, same, startsWith, stringContains, toString`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionsAcceptanceTest

    public CollectionsAcceptanceTest()

Method Detail

### testCanMatchArrayContainingEqualElement

    public void testCanMatchArrayContainingEqualElement()

### testCanMatchArrayContainingMatchingElement

    public void testCanMatchArrayContainingMatchingElement()

### testCanMatchElementOfArray

    public void testCanMatchElementOfArray()

### testCanMatchListContainingEqualElement

    public void testCanMatchListContainingEqualElement()

### testCanMatchSetContainingEqualElement

    public void testCanMatchSetContainingEqualElement()

### testCanMatchCollectionContainingMatchingElement

    public void testCanMatchCollectionContainingMatchingElement()

### testCanMatchElementOfCollection

    public void testCanMatchElementOfCollection()

### testCanMatchMapContainingEntryValues

    public void testCanMatchMapContainingEntryValues()

### testCanMatchMapContainingEntryMatchingConstraints

    public void testCanMatchMapContainingEntryMatchingConstraints()

### testCanMatchMapContainingEqualKey

    public void testCanMatchMapContainingEqualKey()

### testCanMatchMapContainingMatchingKey

    public void testCanMatchMapContainingMatchingKey()

### testCanMatchMapContainingEqualValue

    public void testCanMatchMapContainingEqualValue()

### testCanMatchMapContainingMatchingValue

    public void testCanMatchMapContainingMatchingValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD